#
# Conditional build:
%bcond_with	tests	# pytest tests [use ptys, so not on builders]

Summary:	pytest plugin to abort hanging tests
Summary(pl.UTF-8):	Wtyczka pytesta do przerywania zawieszonych testów
Name:		python3-pytest-timeout
Version:	2.4.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pytest-timeout/
Source0:	https://files.pythonhosted.org/packages/source/p/pytest-timeout/pytest_timeout-%{version}.tar.gz
# Source0-md5:	dbc9a376438aa779cff375236e505792
URL:		https://github.com/pytest-dev/pytest-timeout
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pexpect
BuildRequires:	python3-pytest >= 7.0.0
BuildRequires:	python3-pytest-cov
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a plugin which will terminate tests after a certain timeout.
When doing so it will show a stack dump of all threads running at the
time. This is useful when running tests under a continuous integration
server or simply if you don't know why the test suite hangs.

%description -l pl.UTF-8
Ta wtyczka przerywa testy po upłynięciu określonego limitu czasu. Przy
tym pokazuje zrzut stosu wszystkich wątków działających w tej chwili.
Jest to przydatne przy uruchamianiu testów na serwerze ciągłej
integracji lub jeśli nie wiemy, dlaczego testy się zawieszają.

%prep
%setup -q -n pytest_timeout-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS=pytest_cov.plugin,pytest_timeout \
PYTHONPATH=$(pwd) \
%{__python3} -m pytest
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/pytest_timeout.py
%{py3_sitescriptdir}/__pycache__/pytest_timeout.cpython-*.py[co]
%{py3_sitescriptdir}/pytest_timeout-%{version}-py*.egg-info
%changelog
* Sat Jun 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pytest-timeout.git;a=log;h=master

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> 3f06b27
- python-pytest-timeout.spec updated to 2.4.0 for python 3.7+/pytest 7+

* Sat Jun 28 2025 Jakub Bogusz <qboosh@pld-linux.org> eb4927f
- explicit pytest plugins list

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> b525a21
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> a2183b4
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 98d71b2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 6d2bf32
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> aaf44f2
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 3bba4bb
- rebuild with python 3.10

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> 9d94fc1
- typo

* Sun Mar 06 2022 Jakub Bogusz <qboosh@pld-linux.org> ac1ada5
- updated to 1.4.2 (the last version for python2/pytest<5)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> fef54d9
- release 2 (by relup.sh)

* Mon Mar 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 9314085
- updated to 1.3.4

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a93bb37
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ce8e622
- release 2 (by relup.sh)

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> d2e171a
- disable tests due to ptys usage

* Sun Mar 12 2017 Jakub Bogusz <qboosh@pld-linux.org> beeea2d
- updated to 1.2.0

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b6e7f21
- python 3.6
- release 2 (by relup.sh)

* Thu May 26 2016 Elan Ruusamäe <glen@delfi.ee> 481c201
- BR setuptools

* Wed May 25 2016 Elan Ruusamäe <glen@delfi.ee> 16a57b4
- cleanup template leftovers

* Wed May 25 2016 Mateusz Korniak <matkor@pld-linux.org> 44e10bd
- Initial version 1.0.0.

